summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-15 13:15:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-15 13:15:07 +0700
commit75908faba54cd6ce6e3ddb228a652478e5d6e9c5 (patch)
tree95647627870fd642ad150acbb7123da2e6f0c647 /development
parent5bfef9dd1fe3350c480ae5f5a1ed3eccfd9dac24 (diff)
downloadslackbuilds-75908faba54cd6ce6e3ddb228a652478e5d6e9c5.tar.gz
slackbuilds-75908faba54cd6ce6e3ddb228a652478e5d6e9c5.tar.xz
development/git-lfs: Added (Git extension).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/git-lfs/README3
-rw-r--r--development/git-lfs/git-lfs.SlackBuild80
-rw-r--r--development/git-lfs/git-lfs.info10
-rw-r--r--development/git-lfs/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/development/git-lfs/README b/development/git-lfs/README
new file mode 100644
index 0000000000..f3d756e0fc
--- /dev/null
+++ b/development/git-lfs/README
@@ -0,0 +1,3 @@
+Git LFS is a command line extension and specification for managing
+large files with Git. The client is written in Go, with pre-compiled
+binaries available for Mac, Windows, Linux, and FreeBSD.
diff --git a/development/git-lfs/git-lfs.SlackBuild b/development/git-lfs/git-lfs.SlackBuild
new file mode 100644
index 0000000000..c2bcff535c
--- /dev/null
+++ b/development/git-lfs/git-lfs.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for git-lfs
+
+# Copyright 2015 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=git-lfs
+VERSION=${VERSION:-0.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCARCH=386
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCARCH=386
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ SRCARCH=amd64
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ SRCARCH=386
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-linux-$SRCARCH-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/bin
+install -m0755 $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/git-lfs/git-lfs.info b/development/git-lfs/git-lfs.info
new file mode 100644
index 0000000000..5f9fdd53c8
--- /dev/null
+++ b/development/git-lfs/git-lfs.info
@@ -0,0 +1,10 @@
+PRGNAM="git-lfs"
+VERSION="0.5.4"
+HOMEPAGE="https://git-lfs.github.com/"
+DOWNLOAD="https://github.com/github/git-lfs/releases/download/v0.5.4/git-lfs-linux-386-0.5.4.tar.gz"
+MD5SUM="aa6c5143d9c610a7429862dc0322ea89"
+DOWNLOAD_x86_64="https://github.com/github/git-lfs/releases/download/v0.5.4/git-lfs-linux-amd64-0.5.4.tar.gz"
+MD5SUM_x86_64="bc5c94d850cda8743139ae707d6eb06a"
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/development/git-lfs/slack-desc b/development/git-lfs/slack-desc
new file mode 100644
index 0000000000..0cc77ac484
--- /dev/null
+++ b/development/git-lfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+git-lfs: git-lfs (Git extension)
+git-lfs:
+git-lfs: Git LFS is a command line extension and specification for managing
+git-lfs: large files with Git. The client is written in Go, with pre-compiled
+git-lfs: binaries available for Mac, Windows, Linux, and FreeBSD.
+git-lfs:
+git-lfs:
+git-lfs: Project URL: https://git-lfs.github.com/
+git-lfs:
+git-lfs:
+git-lfs: